import java.util.HashMap;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.SAXException;
import org.xml.sax.Attributes;

/**
 * BDXRequestHandler extends DefaultHandler to extract the Job Type that will be used
 * to create upload job.
 */
public class LMSRequestHandler extends DefaultHandler {
	private String jobType = null;

	private boolean isFound = false;

	public final HashMap<String, String> TAGS_AND_TYPE = new HashMap<String, String>() {

		private static final long serialVersionUID = 3660595392637116335L;

		{
			// initiate the HashMap with teh valid Job Types
			put("AddFixedPriceItemRequest", "AddFixedPriceItem");
			put("RelistFixedPriceItemRequest", "RelistFixedPriceItem");
			put("ReviseFixedPriceItemRequest", "ReviseFixedPriceItem");
			put("EndFixedPriceItemRequest", "EndFixedPriceItem");
			put("ReviseInventoryStatusRequest", "ReviseInventoryStatus");
			put("OrderAckRequest", "OrderAck");
			put("SetShipmentTrackingInfoRequest", "SetShipmentTrackingInfo");
		}
	};

	/**
	 * Returns the jobType read from the BDX request XML file
	 * 
	 * @return jobType - String
	 */
	public String getJobType() {
		return jobType;
	}

	public void startElement(String namespaceURI, String localName,
			String qName, Attributes atts) throws SAXException {
		if (isFound)
			return;
		if (TAGS_AND_TYPE.containsKey(localName)) {
			jobType = TAGS_AND_TYPE.get(localName);
			isFound = true;
		}
	}

	public boolean isFound() {
		return isFound;
	}

	}
